package com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity;

import com.jeeplus.core.persistence.DataEntity;

/**
 * 储备项目规范性审核记录表
 * @author: 王强
 * @create: 2022-08-16 10:18
 **/
public class NormativeAudit extends DataEntity<NormativeAudit> {

    //储备项目基本信息
    private String projectYear;             //项目年份
    private String projectNature;           //项目性质
    private String demandUnit;              //需求单位
    private String district;                //区域
    private String projectGroup;            //项目分组
    private String reserveBatches;          //储备批次
    private String blockSupply;             //供电区域
    private String gridNumber;              //网格编号
    private String cellNumber;              //单元格编号
    private String projectReserveId;        //项目储备编号
    private String projectName;             //项目名称
    private String constructionNecessityAndContent;           //建设必要性及内容
    private String substationName;           //变电站名称
    private String circuitName;              //线路名称
    private String netRackProjectDivide;     //网架项目划分
    private String requirementType;          //需求类型
    private String costEstimate;             //费用估算
    private String basicRemarks;             //备注
    //其他
    private String reserveProgress;          //储备进度
    private String implementPlan;            //是否纳入实施计划
    private String implementBatch;           //初定实施批次
    private String blueprint;                //图纸
    private String budgetBook;               //预算书
    private String designManual;             //设计说明书
    private String materialList;             //提资材料清册
    private String feasibilityReport;        //可研报告
    private String projectProposal;          //项目建议书
    private String oldInventoryDemolition;   //拆旧清册
    private String noStopWorkPlan;           //不停电作业方案/停电作业申报表
    private String castPlaceApprovalForm;    //土建现浇审批单
    private String reviewMaterial;           //甲供材优选审核
    private String aSupplyTob;               //甲供转乙供情况
    private String templateCorrect;          //预算模板是否正确
    private String correctApplication;       //定额套用是否正确
    private String workloadConsistent;       //工作量是否一致
    private String feeCorrect;               //取费是否正确
    private String materialSupplyA;          //甲供物资是否正确
    private String materialSupplyB;          //乙供物资是否正确
    private String chargeLiveWork;           //带电作业费是否正确
    private String chargeDemolitionWork;     //拆除工程取费是否正确
    private String otherProblem;             //其他问题
    private String designAdjustment;         //是否需要设计调整
    private String designAdjustmentDate;     //设计调整完成日期

    public String getProjectYear() {
        return projectYear;
    }

    public void setProjectYear(String projectYear) {
        this.projectYear = projectYear;
    }

    public String getProjectNature() {
        return projectNature;
    }

    public void setProjectNature(String projectNature) {
        this.projectNature = projectNature;
    }

    public String getDemandUnit() {
        return demandUnit;
    }

    public void setDemandUnit(String demandUnit) {
        this.demandUnit = demandUnit;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public String getProjectGroup() {
        return projectGroup;
    }

    public void setProjectGroup(String projectGroup) {
        this.projectGroup = projectGroup;
    }

    public String getReserveBatches() {
        return reserveBatches;
    }

    public void setReserveBatches(String reserveBatches) {
        this.reserveBatches = reserveBatches;
    }

    public String getBlockSupply() {
        return blockSupply;
    }

    public void setBlockSupply(String blockSupply) {
        this.blockSupply = blockSupply;
    }

    public String getGridNumber() {
        return gridNumber;
    }

    public void setGridNumber(String gridNumber) {
        this.gridNumber = gridNumber;
    }

    public String getCellNumber() {
        return cellNumber;
    }

    public void setCellNumber(String cellNumber) {
        this.cellNumber = cellNumber;
    }

    public String getProjectReserveId() {
        return projectReserveId;
    }

    public void setProjectReserveId(String projectReserveId) {
        this.projectReserveId = projectReserveId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getConstructionNecessityAndContent() {
        return constructionNecessityAndContent;
    }

    public void setConstructionNecessityAndContent(String constructionNecessityAndContent) {
        this.constructionNecessityAndContent = constructionNecessityAndContent;
    }

    public String getSubstationName() {
        return substationName;
    }

    public void setSubstationName(String substationName) {
        this.substationName = substationName;
    }

    public String getCircuitName() {
        return circuitName;
    }

    public void setCircuitName(String circuitName) {
        this.circuitName = circuitName;
    }

    public String getNetRackProjectDivide() {
        return netRackProjectDivide;
    }

    public void setNetRackProjectDivide(String netRackProjectDivide) {
        this.netRackProjectDivide = netRackProjectDivide;
    }

    public String getRequirementType() {
        return requirementType;
    }

    public void setRequirementType(String requirementType) {
        this.requirementType = requirementType;
    }

    public String getCostEstimate() {
        return costEstimate;
    }

    public void setCostEstimate(String costEstimate) {
        this.costEstimate = costEstimate;
    }

    public String getBasicRemarks() {
        return basicRemarks;
    }

    public void setBasicRemarks(String basicRemarks) {
        this.basicRemarks = basicRemarks;
    }

    public String getReserveProgress() {
        return reserveProgress;
    }

    public void setReserveProgress(String reserveProgress) {
        this.reserveProgress = reserveProgress;
    }

    public String getImplementPlan() {
        return implementPlan;
    }

    public void setImplementPlan(String implementPlan) {
        this.implementPlan = implementPlan;
    }

    public String getImplementBatch() {
        return implementBatch;
    }

    public void setImplementBatch(String implementBatch) {
        this.implementBatch = implementBatch;
    }

    public String getBlueprint() {
        return blueprint;
    }

    public void setBlueprint(String blueprint) {
        this.blueprint = blueprint;
    }

    public String getBudgetBook() {
        return budgetBook;
    }

    public void setBudgetBook(String budgetBook) {
        this.budgetBook = budgetBook;
    }

    public String getDesignManual() {
        return designManual;
    }

    public void setDesignManual(String designManual) {
        this.designManual = designManual;
    }

    public String getMaterialList() {
        return materialList;
    }

    public void setMaterialList(String materialList) {
        this.materialList = materialList;
    }

    public String getFeasibilityReport() {
        return feasibilityReport;
    }

    public void setFeasibilityReport(String feasibilityReport) {
        this.feasibilityReport = feasibilityReport;
    }

    public String getProjectProposal() {
        return projectProposal;
    }

    public void setProjectProposal(String projectProposal) {
        this.projectProposal = projectProposal;
    }

    public String getOldInventoryDemolition() {
        return oldInventoryDemolition;
    }

    public void setOldInventoryDemolition(String oldInventoryDemolition) {
        this.oldInventoryDemolition = oldInventoryDemolition;
    }

    public String getNoStopWorkPlan() {
        return noStopWorkPlan;
    }

    public void setNoStopWorkPlan(String noStopWorkPlan) {
        this.noStopWorkPlan = noStopWorkPlan;
    }

    public String getCastPlaceApprovalForm() {
        return castPlaceApprovalForm;
    }

    public void setCastPlaceApprovalForm(String castPlaceApprovalForm) {
        this.castPlaceApprovalForm = castPlaceApprovalForm;
    }

    public String getReviewMaterial() {
        return reviewMaterial;
    }

    public void setReviewMaterial(String reviewMaterial) {
        this.reviewMaterial = reviewMaterial;
    }

    public String getaSupplyTob() {
        return aSupplyTob;
    }

    public void setaSupplyTob(String aSupplyTob) {
        this.aSupplyTob = aSupplyTob;
    }

    public String getTemplateCorrect() {
        return templateCorrect;
    }

    public void setTemplateCorrect(String templateCorrect) {
        this.templateCorrect = templateCorrect;
    }

    public String getCorrectApplication() {
        return correctApplication;
    }

    public void setCorrectApplication(String correctApplication) {
        this.correctApplication = correctApplication;
    }

    public String getWorkloadConsistent() {
        return workloadConsistent;
    }

    public void setWorkloadConsistent(String workloadConsistent) {
        this.workloadConsistent = workloadConsistent;
    }

    public String getFeeCorrect() {
        return feeCorrect;
    }

    public void setFeeCorrect(String feeCorrect) {
        this.feeCorrect = feeCorrect;
    }

    public String getMaterialSupplyA() {
        return materialSupplyA;
    }

    public void setMaterialSupplyA(String materialSupplyA) {
        this.materialSupplyA = materialSupplyA;
    }

    public String getMaterialSupplyB() {
        return materialSupplyB;
    }

    public void setMaterialSupplyB(String materialSupplyB) {
        this.materialSupplyB = materialSupplyB;
    }

    public String getChargeLiveWork() {
        return chargeLiveWork;
    }

    public void setChargeLiveWork(String chargeLiveWork) {
        this.chargeLiveWork = chargeLiveWork;
    }

    public String getChargeDemolitionWork() {
        return chargeDemolitionWork;
    }

    public void setChargeDemolitionWork(String chargeDemolitionWork) {
        this.chargeDemolitionWork = chargeDemolitionWork;
    }

    public String getOtherProblem() {
        return otherProblem;
    }

    public void setOtherProblem(String otherProblem) {
        this.otherProblem = otherProblem;
    }

    public String getDesignAdjustment() {
        return designAdjustment;
    }

    public void setDesignAdjustment(String designAdjustment) {
        this.designAdjustment = designAdjustment;
    }

    public String getDesignAdjustmentDate() {
        return designAdjustmentDate;
    }

    public void setDesignAdjustmentDate(String designAdjustmentDate) {
        this.designAdjustmentDate = designAdjustmentDate;
    }
}
