<%@ page contentType="text/html;charset=UTF-8" %>
<script>
$(document).ready(function() {
	$('#leave1Table').bootstrapTable({

		  //请求方法
               method: 'post',
               //类型json
               dataType: "json",
               contentType: "application/x-www-form-urlencoded",
               //显示检索按钮
	           showSearch: true,
               //显示刷新按钮
               showRefresh: true,
               //显示切换手机试图按钮
               showToggle: true,
               //显示 内容列下拉框
    	       showColumns: true,
    	       //显示到处按钮
    	       showExport: true,
    	       //显示切换分页按钮
    	       showPaginationSwitch: true,
    	       //最低显示2行
    	       minimumCountColumns: 2,
               //是否显示行间隔色
               striped: true,
               //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
               cache: false,
               //是否显示分页（*）
               pagination: true,
                //排序方式
               sortOrder: "asc",
               //初始化加载第一页，默认第一页
               pageNumber:1,
               //每页的记录行数（*）
               pageSize: 10,
               //可供选择的每页的行数（*）
               pageList: [10, 25, 50, 100],
               //这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据
               url: "${ctx}/transitMaterialGoods/data",
               //默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
               //queryParamsType:'',
               ////查询参数,每次调用是会带上这个参数，可自定义
               queryParams : function(params) {
               	var searchParam = $("#searchForm").serializeJSON();
               	searchParam.pageNo = params.limit === undefined? "1" :params.offset/params.limit+1;
               	searchParam.pageSize = params.limit === undefined? -1 : params.limit;
               	searchParam.orderBy = params.sort === undefined? "" : params.sort+ " "+  params.order;
                   return searchParam;
               },
               //分页方式：client客户端分页，server服务端分页（*）
               sidePagination: "server",
               contextMenuTrigger:"right",//pc端 按右键弹出菜单
               contextMenuTriggerMobile:"press",//手机端 弹出菜单，click：单击， press：长按。
               contextMenu: '#context-menu',
               onContextMenuItem: function(row, $el){
                   if($el.data("item") == "edit"){
                   		edit(row.id);
                   }else if($el.data("item") == "view"){
                       view(row.id);
                   } else if($el.data("item") == "delete"){
                        jp.confirm('确认要删除该标准物资记录吗？', function(){
                       	jp.loading();
                       	jp.get("${ctx}/transitMaterialGoods/delete?id="+row.id, function(data){
                   	  		if(data.success){
                   	  			$('#leave1Table').bootstrapTable('refresh');
                   	  			jp.success(data.msg);
                   	  		}else{
                   	  			jp.error(data.msg);
                   	  		}
                   	  	})

                   	});

                   }
               },

               onClickRow: function(row, $el){
               },
               	onShowSearch: function () {
			$("#search-collapse").slideToggle();
		},
               columns: [{
		        checkbox: true

		    },/*{
				   field: 'externalContractNumber',
				   title: '外部合同编号',
				   sortable: true,
				   sortName: 'externalContractNumber'

			   }
			,{
		        field: 'factory',
		        title: '工厂',
		        sortable: true,
		        sortName: 'factory'

		    }
			,{
		        field: 'factoryName',
		        title: '工厂名称',
		        sortable: true,
		        sortName: 'factoryName'

		    }
				   ,{
					   field: 'batch',
					   title: '批次',
					   sortable: true,
					   sortName: 'batch'

				   }*/
				   {
					   field: 'materialCode',
					   title: '物料编码',
					   sortable: true,
					   sortName: 'materialCode'

				   }
				   /*,{
					   field: 'materialDescription',
					   title: '物料描述',
					   sortable: true,
					   sortName: 'materialDescription'

				   }
				   ,{
					   field: 'contractName',
					   title: '合同',
					   sortable: true,
					   sortName: 'contractName'

				   }
				   ,{
					   field: 'contractLineItem',
					   title: '合同行项目',
					   sortable: true,
					   sortName: 'contractLineItem'

				   }*/
				   ,{
					   field: 'contractCount',
					   title: '合同数量',
					   sortable: true,
					   sortName: 'contractCount'

				   }
				   /*,{
					   field: 'unit',
					   title: '度量单位文本',
					   sortable: true,
					   sortName: 'unit'

				   }
				   ,{
					   field: 'unitPrice',
					   title: '单价',
					   sortable: true,
					   sortName: 'unitPrice'

				   }
				   ,{
					   field: 'money',
					   title: '金额',
					   sortable: true,
					   sortName: 'money'

				   }
				   ,{
					   field: 'supplierCode',
					   title: '供应商编码',
					   sortable: true,
					   sortName: 'supplierCode'

				   }
				   ,{
					   field: 'supplierName',
					   title: '供应商名称',
					   sortable: true,
					   sortName: 'supplierName'

				   }
				   ,{
					   field: 'purchaseOrder',
					   title: '采购订单',
					   sortable: true,
					   sortName: 'purchaseOrder'

				   }
				   ,{
					   field: 'orderLineItem',
					   title: '订单行项目',
					   sortable: true,
					   sortName: 'orderLineItem'

				   }
				   ,{
					   field: 'netPurchaseOrderPrice',
					   title: '采购订单净价',
					   sortable: true,
					   sortName: 'netPurchaseOrderPrice'

				   }
				   ,{
					   field: 'purchaseApplicationNo',
					   title: '采购申请号',
					   sortable: true,
					   sortName: 'purchaseApplicationNo'

				   }
				   ,{
					   field: 'projectOfPurchasingApplicantBank',
					   title: '采购申请行项目',
					   sortable: true,
					   sortName: 'projectOfPurchasingApplicantBank'

				   }
				   ,{
					   field: 'purchaseApplicationQuantity',
					   title: '采购申请数量',
					   sortable: true,
					   sortName: 'purchaseApplicationQuantity'

				   }
				   ,{
					   field: 'orderUnit',
					   title: '订单单位',
					   sortable: true,
					   sortName: 'orderUnit'

				   }
				   ,{
					   field: 'materialCompanySO',
					   title: '物资公司SO',
					   sortable: true,
					   sortName: 'materialCompanySO'

				   }
				   ,{
					   field: 'soLineItem',
					   title: 'SO项目行',
					   sortable: true,
					   sortName: 'soLineItem'

				   }
				   ,{
					   field: 'materialCompanyPO',
					   title: '物资公司PO',
					   sortable: true,
					   sortName: 'materialCompanyPO'

				   }
				   ,{
					   field: 'poLineItem',
					   title: 'PO项目行',
					   sortable: true,
					   sortName: 'poLineItem'

				   }
				   ,{
					   field: 'contractPlannedDeliveryDate',
					   title: '合同计划交货日期',
					   sortable: true,
					   sortName: 'contractPlannedDeliveryDate'

				   }
				   ,{
					   field: 'deliveryScheduleOfTheDeliveryOrderIsPlanned',
					   title: '配送单计划交货期',
					   sortable: true,
					   sortName: 'deliveryScheduleOfTheDeliveryOrderIsPlanned'

				   }
				   ,{
					   field: 'quantityDelivered',
					   title: '已交货数量',
					   sortable: true,
					   sortName: 'quantityDelivered'

				   }
				   ,{
					   field: 'materialDocument103',
					   title: '103物料凭证',
					   sortable: true,
					   sortName: 'materialDocument103'

				   }
				   ,{
					   field: 'postingDate103',
					   title: '103过账日期',
					   sortable: true,
					   sortName: 'postingDate103'

				   }
				   ,{
					   field: 'electronicAcceptanceReport',
					   title: '电子验收报告',
					   sortable: true,
					   sortName: 'electronicAcceptanceReport'

				   }
				   ,{
					   field: 'electronicAcceptanceReportStatus',
					   title: '电子验收报告审批状态',
					   sortable: true,
					   sortName: 'electronicAcceptanceReportStatus'

				   }
				   ,{
					   field: 'electronicAcceptanceReportDate',
					   title: '电子验收报告审批日期',
					   sortable: true,
					   sortName: 'electronicAcceptanceReportDate'

				   }
				   ,{
					   field: 'materialDocument105',
					   title: '105物料凭证',
					   sortable: true,
					   sortName: 'materialDocument105'

				   }
				   ,{
					   field: 'postingDate105',
					   title: '105过账日期',
					   sortable: true,
					   sortName: 'postingDate105'

				   }
				   ,{
					   field: 'arrivalRegistrant',
					   title: '到货登记人',
					   sortable: true,
					   sortName: 'arrivalRegistrant'

				   }
				   ,{
					   field: 'demandForTheUnit',
					   title: '需求单位',
					   sortable: true,
					   sortName: 'demandForTheUnit'

				   }
				   ,{
					   field: 'requirementUnitDescription',
					   title: '需求单位描述',
					   sortable: true,
					   sortName: 'requirementUnitDescription'

				   }
				   ,{
					   field: 'deliveryPlace',
					   title: '配送地点',
					   sortable: true,
					   sortName: 'deliveryPlace'

				   }
				   ,{
					   field: 'distributionLocationDescription',
					   title: '配送地点描述',
					   sortable: true,
					   sortName: 'distributionLocationDescription'

				   }
				   ,{
					   field: 'drawersCode',
					   title: '出票方编码',
					   sortable: true,
					   sortName: 'drawersCode'

				   }
				   ,{
					   field: 'drawersName',
					   title: '出票方名称',
					   sortable: true,
					   sortName: 'drawersName'

				   }
				   ,{
					   field: 'supplierInvoice',
					   title: '供应商发票',
					   sortable: true,
					   sortName: 'supplierInvoice'

				   }
				   ,{
					   field: 'dateOfIssue',
					   title: '开票日期',
					   sortable: true,
					   sortName: 'dateOfIssue'

				   }
				   ,{
					   field: 'payTheTicketDate',
					   title: '交票日期',
					   sortable: true,
					   sortName: 'payTheTicketDate'

				   }
				   ,{
					   field: 'invoiceNumber',
					   title: '发票数量',
					   sortable: true,
					   sortName: 'invoiceNumber'

				   }
				   ,{
					   field: 'invoiceCheckQuantity',
					   title: '发票校验数量',
					   sortable: true,
					   sortName: 'invoiceCheckQuantity'

				   }
				   ,{
					   field: 'invoiceAmount',
					   title: '发票金额',
					   sortable: true,
					   sortName: 'invoiceAmount'

				   }
				   ,{
					   field: 'invoiceStatus',
					   title: '发票状态',
					   sortable: true,
					   sortName: 'invoiceStatus'

				   }
				   ,{
					   field: 'taxCode',
					   title: '税码',
					   sortable: true,
					   sortName: 'taxCode'

				   }
				   ,{
					   field: 'assessmentType',
					   title: '评估类型',
					   sortable: true,
					   sortName: 'assessmentType'

				   }
				   ,{
					   field: 'moneyAttribute',
					   title: '资金属性',
					   sortable: true,
					   sortName: 'moneyAttribute'

				   }
				   ,{
					   field: 'propertyRightAttribute',
					   title: '产权属性',
					   sortable: true,
					   sortName: 'propertyRightAttribute'

				   }
				   ,{
					   field: 'theRatioOfPayment',
					   title: '付款比例',
					   sortable: true,
					   sortName: 'theRatioOfPayment'

				   }
				   ,{
					   field: 'advancePayment',
					   title: '预付款',
					   sortable: true,
					   sortName: 'advancePayment'

				   }
				   ,{
					   field: 'cashOnDelivery',
					   title: '到货款',
					   sortable: true,
					   sortName: 'cashOnDelivery'

				   }
				   ,{
					   field: 'putMoney',
					   title: '投运款',
					   sortable: true,
					   sortName: 'putMoney'

				   }
				   ,{
					   field: 'qualityAssuranceModel',
					   title: '质保款',
					   sortable: true,
					   sortName: 'qualityAssuranceModel'

				   }
				   ,{
					   field: 'theMunicipalTerritory',
					   title: '市级属地',
					   sortable: true,
					   sortName: 'theMunicipalTerritory'

				   }
				   ,{
					   field: 'amountOfApplicationForPayment',
					   title: '申请付款金额',
					   sortable: true,
					   sortName: 'amountOfApplicationForPayment'

				   }
				   ,{
					   field: 'amountOfInventory',
					   title: '入库金额',
					   sortable: true,
					   sortName: 'amountOfInventory'

				   }
				   ,{
					   field: 'forTheAwb',
					   title: '投运单号',
					   sortable: true,
					   sortName: 'forTheAwb'

				   }
				   ,{
					   field: 'waybillStatus',
					   title: '投运状态',
					   sortable: true,
					   sortName: 'waybillStatus'

				   }
				   ,{
					   field: 'qualityPolicyNo',
					   title: '质保单号',
					   sortable: true,
					   sortName: 'qualityPolicyNo'

				   }
				   ,{
					   field: 'pledgedPolicyStatus',
					   title: '质保单状态',
					   sortable: true,
					   sortName: 'pledgedPolicyStatus'

				   }
				   ,{
					   field: 'guaranteePeriod',
					   title: '质保期',
					   sortable: true,
					   sortName: 'guaranteePeriod'

				   }*/
				   ,{
					   field: 'planner',
					   title: '计划编制人',
					   sortable: true,
					   sortName: 'planner'

				   }






		     ]

		});


	  if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端


		  $('#leave1Table').bootstrapTable("toggleView");
		}

	  $('#leave1Table').on('check.bs.table uncheck.bs.table load-success.bs.table ' +
                'check-all.bs.table uncheck-all.bs.table', function () {
            $('#remove').prop('disabled', ! $('#leave1Table').bootstrapTable('getSelections').length);
            $('#view,#edit').prop('disabled', $('#leave1Table').bootstrapTable('getSelections').length!=1);
        });

	  /**
	   * 导出利库资源池基础信息表
	   * */
	$("#btnImport").click(function(){
		jp.open({
			type: 2,
			area: [500, 200],
			auto: true,
			title:"导入数据",
			content: "${ctx}/tag/importExcel" ,
			btn: ['下载模板','确定', '关闭'],
				btn1: function(index, layero){
				  jp.downloadFile('${ctx}/transitMaterialGoods/import/template');
			  },
			btn2: function(index, layero){
					var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
					iframeWin.contentWindow.importExcel('${ctx}/transitMaterialGoods/import', function (data) {
						if(data.success){
							jp.success(data.msg);
							refresh();
						}else{
							jp.error(data.msg);
						}
						jp.close(index);
					});//调用保存事件
					return false;
			  },

			  btn3: function(index){
				//  jp.close(index);
			   }
		});
	});


    /**
     * 导入物资需求表
     * */
    $("#importMaterial").click(function(){
        jp.open({
            type: 2,
            area: [500, 200],
            auto: true,
            title:"导入数据",
            content: "${ctx}/tag/importExcel" ,
            btn: ['下载模板','确定', '关闭'],
            btn1: function(index, layero){
                jp.downloadFile('${ctx}/transitMaterialGoods/import/templateNew');
            },
            btn2: function(index, layero){
                var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                iframeWin.contentWindow.importExcel('${ctx}/transitMaterialGoods/importVerify', function (data) {
                    if(data.success){
                        jp.success(data.msg);
                        jp.downloadFile('${ctx}/MaterialReportDetails/exportVerify','finalAccount');//给个name是为了能够在某些条件下下载两个文件	refresh();

                        refresh();
                    }else{
                        jp.error(data.msg);
                    }
                    jp.close(index);
                });//调用保存事件
                return false;
            },

            btn3: function(index){
                //  jp.close(index);
            }
        });
    });

	 $("#export").click(function(){//导出Excel文件
			jp.downloadFile('${ctx}/transitMaterialGoods/export');
	  });


	  $("#search").click("click", function() {// 绑定查询按扭
		  $('#leave1Table').bootstrapTable('refresh');
		});

	 $("#reset").click("click", function() {// 绑定查询按扭
		  $("#searchForm  input").val("");
		  $("#searchForm  select").val("");
		  $("#searchForm  .select-item").html("");
		  $('#leave1Table').bootstrapTable('refresh');
		});

		$('#beginBeginDate').datetimepicker({
			 format: "YYYY-MM-DD HH:mm:ss"
		});
		$('#endBeginDate').datetimepicker({
			 format: "YYYY-MM-DD HH:mm:ss"
		});
		$('#endDate').datetimepicker({
			 format: "YYYY-MM-DD HH:mm:ss"
		});

	});

  function getIdSelections() {
        return $.map($("#leave1Table").bootstrapTable('getSelections'), function (row) {
            return row.id;
        });
    }

  function deleteAll(){

		jp.confirm('确认要删除该标准物资记录吗？', function(){
			jp.loading();
			jp.get("${ctx}/transitMaterialGoods/deleteAll?ids=" + getIdSelections(), function(data){
         	  		if(data.success){
         	  			$('#leave1Table').bootstrapTable('refresh');
         	  			jp.success(data.msg);
         	  		}else{
         	  			jp.error(data.msg);
         	  		}
         	  	})

		})
  }

    //刷新列表
  function refresh(){
  	$('#leave1Table').bootstrapTable('refresh');
  }




</script>
